/* Defines for System Control Block and Memory Accelerator Module */

//Main clock
#define MSEL		(PLL_M-1)
#define CCLK		(PLL_M * FOSC) //main clock frequency

//Peripheral clock
#define	PSEL		((PLL_P-1)<<5)

//PLL control flags
#define PLLE		1		//PLL ENABLE
#define PLLC		(1<<1)	//PLL CONNECT

//PLL status flags
#define PLLSTAT_PLOCK		1<<10
#define PLLSTAT_PLLE		1<<8
#define PLLSTAT_PLLC		1<<9

//PLLFEED sequence values
#define PLL_FEED1	0xAA
#define PLL_FEED2	0x55

//VPB (V... Pheriphal Bus)
#define VPBDIV_ONEFOURTH	0x0
#define VPBDIV_ONEHALF		0x2
#define VPBDIV_ONE			0x1 //=> pclk = cclk = 59MHz

//Memory mapping control
#define MEMMAP_BOOT_LOADER_MODE   0       // Interrupt vectors are re-mapped to Boot Block.
#define MEMMAP_USER_FLASH_MODE    (1<<0)  // Interrupt vectors are not re-mapped and reside in Flash.
#define MEMMAP_USER_RAM_MODE      (1<<1)  // Interrupt vectors are re-mapped to Static RAM.

//Memory Accelerator Module
#define MAMMODE_ENABLE				0x2
#define MAMMODE_DISABLE				0x0
#define MAMMODE_PARTIAL				0x1


//functions
void SystemInit(void);
void enableIRQ(void);
void disableIRQ(void);


//end
